%define name lm_sensors
%define version 2.10.0
%define release %mkrel 5

%define lib_name_orig	lib%{name}
%define lib_major	3
%define lib_name	%mklibname %{name} %{lib_major}

%define kversion 2.4.23

Summary:	Utilities for lm_sensors
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Kernel and hardware
URL:		http://www.lm-sensors.nu/
Source0:	http://www.lm-sensors.nu/archive/%{name}-%{version}.tar.bz2
Source1:	lm_sensors-2.8.2-sensors
Patch0:		sensors-detect.patch.tar.bz2
Patch1:		lm_sensors-2.9.1-misleading_error_message.patch.bz2
Patch2:		lm_sensors-2.9.2-CAN-2005-2672.patch.bz2
Patch3:		lm_sensors-2.10.0-uguru.patch.bz2
Patch4:		lm_sensors-2.10.0-sysfs.patch.bz2
Provides:	lm_utils
Obsoletes:	lm_utils
BuildRequires:	bison flex kernel-source >= %{kversion}
BuildRequires:  librrdtool-devel
BuildRequires: 	chrpath
BuildRequires:  libsysfs-devel
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires:	perl
Requires:	%{lib_name} >= %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
This package contains a collection of user space tools for general SMBus
access and hardware monitoring. SMBus, also known as System Management Bus,
is a protocol for communicating through a I2C ('I squared C') bus. Many modern
mainboards have a System Management Bus. There are a lot of devices which can
be connected to a SMBus; the most notable are modern memory chips with EEPROM
memories and chips for hardware monitoring.

Most modern mainboards incorporate some form of hardware monitoring chips.
These chips read things like chip temperatures, fan rotation speeds and
voltage levels. There are quite a few different chips which can be used
by mainboard builders for approximately the same results.

%package -n	%{lib_name}
Summary:	Libraries needed for lm_sensors
Group:		System/Libraries
Provides:	%{lib_name} = %{version}-%{release}

%description -n	%{lib_name}
Libraries to access lm_sensors internal data.

%package -n	%{lib_name}-devel
Summary:	Development libraries and header files for lm_sensors
Group:		Development/C
Requires(pre): %{lib_name} = %{version}-%{release}
Requires(postun): %{lib_name} = %{version}-%{release}
Requires: 	%{lib_name} = %{version}
Provides:	%{_lib}%{name}-devel = %{version}-%{release}
Provides: 	%{lib_name_orig}-devel = %{version}-%{release}
Provides: 	%{name}-devel = %{version}-%{release}
Obsoletes: 	%{name}-devel

%description -n	%{lib_name}-devel
Development libraries and header files for lm_sensors.

You might want to use this package while building applications that might
take advantage of lm_sensors if found.

%package -n	%{lib_name}-static-devel
Summary:	Static libraries for lm_sensors
Group:		Development/C
Requires(pre): %{lib_name}-devel = %{version}-%{release}
Requires(postun): %{lib_name}-devel = %{version}-%{release}
Provides:	%{lib_name_orig}-static-devel = %{version}-%{release}

%description -n	%{lib_name}-static-devel
This package contains static libraries for lm_sensors.

%prep

%setup -q
%patch0
%patch1 -p0 -b .misleading_error_message
%patch2 -p1 -b .can-2005-2672
%patch3 -p1 -b .uguru
%patch4 -p1 -b .sysfs

%build
%define MAKE_DEFS COMPILE_KERNEL=0 WARN=1 PREFIX=%{_prefix} LINUX=/usr/src/linux I2C_HEADERS=/usr/src/linux/include ETCDIR=%{_sysconfdir} MANDIR=%{_mandir} DESTDIR=$RPM_BUILD_ROOT PROG_EXTRA:=sensord LIBDIR=%{_libdir}

%make %MAKE_DEFS user
#%make %MAKE_DEFS user_install

%install
rm -fr %{buildroot}

%make %MAKE_DEFS user_install
install -D -m 755 %{SOURCE1} %{buildroot}%{_initrddir}/lm_sensors
rm %{buildroot}/usr/include/linux/i2c-dev.h
rm %{buildroot}/usr/include/linux/sensors.h
chrpath -d %{buildroot}%{_sbindir}/i2cget
chrpath -d %{buildroot}%{_sbindir}/i2cset
chrpath -d %{buildroot}%{_sbindir}/i2cdump
chrpath -d %{buildroot}%{_sbindir}/sensord
chrpath -d %{buildroot}%{_sbindir}/i2cdetect
chrpath -d %{buildroot}%{_bindir}/sensors
%ifnarch ppc
chrpath -d %{buildroot}%{_sbindir}/isadump
chrpath -d %{buildroot}%{_sbindir}/isaset
%endif

cat > README.urpmi << EOF
* To use this package, you'll have to launch "sensors-detect" as root, and ask few questions.
  No need to modify startup files as shown at the end, all will be done.

* Special note for via686a and i2c-viapro : if you don t see the values, you probably have a PCI conflict.
  It will be corrected in next kernel. Change the /etc/sysconfig/lm_sensors to use i2c-isa + via686a
  (or i2c-viapro + another sensor)
EOF

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%post
%_post_service lm_sensors

%preun
%_preun_service lm_sensors

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BACKGROUND BUGS CHANGES CONTRIBUTORS INSTALL README TODO doc README.urpmi
%config(noreplace) %{_sysconfdir}/sensors.conf
%attr(0755,root,root) %{_initrddir}/lm_sensors
%{_bindir}/sensors
%{_bindir}/ddcmon
%{_sbindir}/i2cdetect
%{_sbindir}/i2cdump
%{_sbindir}/i2cget
%{_sbindir}/i2cset
%ifnarch ppc
%{_sbindir}/isadump
%{_sbindir}/isaset
%endif
%{_sbindir}/sensors-detect
%{_sbindir}/sensord
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_bindir}/decode-dimms.pl
%{_bindir}/decode-edid.pl
%{_bindir}/decode-vaio.pl
%{_bindir}/decode-xeon.pl
%{_sbindir}/fancontrol
%{_sbindir}/fancontrol.pl
%{_sbindir}/pwmconfig

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libsensors.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/libsensors.so
%dir %{_includedir}/sensors
%{_includedir}/sensors/*
%{_mandir}/man3/*

%files -n %{lib_name}-static-devel
%defattr(-,root,root)
%{_libdir}/libsensors.a

%changelog
* Mon May 22 2006 David Walluck <walluck@mandriva.org> 2.10.0-5mdk
- update patch for abituguru-1.1.7

* Wed Mar 15 2006 David Walluck <walluck@mandriva.org> 2.10.0-4mdk
- apply patch from CVS needed by uguru

* Wed Mar 15 2006 David Walluck <walluck@mandriva.org> 2.10.0-3mdk
- reapply uguru patch directly from author

* Mon Feb 20 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.10.0-2mdk
- add BuildRequires: libsysfs-devel

* Sun Feb 19 2006 David Walluck <walluck@mandriva.org> 2.10.0-1mdk
- 2.10.0
- rediff uguru patch

* Sun Jan 15 2006 David Walluck <walluck@mandriva.org> 2.9.2-1mdk
- 2.9.2
- rediff can-2005-2672 patch (mostly merged upstream)

* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 2.9.1-9mdk
- convert parallel init to LSB

* Tue Jan  3 2006 Couriousous <couriousous@mandriva.org> 2.9.1-8mdk
- Move lm_sensors startup after syslog ( take fedora startup number )

* Mon Jan 02 2006 David Walluck <walluck@mandriva.org> 2.9.1-7mdk
- add Abit uguru patch (1.1.1)
- bzip2 patches
- add provides %%{_lib}%%{name}-devel

* Sun Jan  1 2006 Couriousous <couriousous@mandriva.org> 2.9.1-6mdk
- Add parallel init stuff

* Fri Dec 23 2005 Oden Eriksson <oeriksson@mandriva.com> 2.9.1-5mdk
- added P1 to remove a faulty error message
- rpmlint fixes

* Sat Aug 27 2005 Emmanuel Blindauer <blindauer@mandriva.org> 2.9.1-4mdk
- P2: security fix for CAN-2005-2672 (Vincent Danen)

* Fri May 20 2005 sebastien Savarin <plouf@mandriva.org> 2.9.1-3mdk
- Add sensors-detect.patch.tar.bz2

* Fri May 20 2005 Stefan van der Eijk <stefan@eijk.nu> 2.9.1-2mdk
- %%mkrel
- rebuild for new rrd

* Sat Apr 30 2005 Emmanuel Blindauer <blindauer@mandriva.org> 2.9.1-1mdk
- New release 2.9.1
- ddcmon added
- Removed patch1 for udev (fixed upstream)

* Fri Feb 11 2005 Emmanuel Blindauer <mdk@agat.net> 2.9.0-4mdk
- Really fix the udev problem ( #10535, #13517)
- Add README.urpmi

* Thu Feb 10 2005 Emmanuel Blindauer <mdk@agat.net> 2.9.0-3mdk
- switch to sensors-detect provided by the lm_sensors team.

* Thu Jan 06 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.9.0-2mdk
- fix build on ppc (no isa tools)

* Fri Dec 31 2004 Emmanuel Blindauer <mdk@agat.net> 2.9.0-1mdk
- 2.9.0 
- happy new year

* Thu Oct  7 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.8.7-7mdk
- fix deps

* Mon Sep 27 2004 Emmanuel Blindauer <mdk@agat.net> 2.8.7-6mdk
- My fault, don't put bz2 in /usr/sbin (and don't build rpm when tired)

* Sun Sep 26 2004 Emmanuel Blindauer <mooby@agat.net> 2.8.7-5mdk
- Removed patch4 and added new source for sensors-detect udev-compatible

* Fri Jun 18 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8.7-4mdk
- fix ppc build

* Thu Jun 17 2004 Blindauer Emmanuel <mooby@agat.net> 2.8.7-3mdk
- requires the correct name 

* Wed Jun 16 2004 Blindauer Emmanuel <mooby@agat.net> 2.8.7-2mdk
- added requires against liblm_sensors

* Tue Jun 15 2004 Blindauer Emmanuel <mooby@agat.net> 2.8.7-1mdk
- 2.8.7
- Removed patch5 (kernel and lm_sensors in sync)

* Tue Apr 20 2004 Luca Berra <bluca@vodka.it> 2.8.6-2mdk 
- added *ugly* patch for compatibility with previous 2.6 kernels

* Tue Apr 20 2004 Luca Berra <bluca@vodka.it> 2.8.6-1mdk 
- 2.8.6 needed for 2.6.5 kernel
- removed p3 (merged upstream)
- rediffed p4

* Sun Mar 21 2004 Blindauer Emmanuel <manu@agat.net> 2.8.4-2mdk
- fix initscript (Bug #1175, by Brett T. Warden)

* Sun Feb  8 2004 Blindauer Emmanuel <manu@agat.net> 2.8.4-1mdk
- 2.8.4 needed for 2.6.2 kernel (bug 7051).
- Patch4 for loading i2c-dev in sensors-detect (bug 6878).

* Tue Jan 27 2004 Blindauer Emmanuel <manu@agat.net> 2.8.3-1mdk
- Drop Patch1 (merged upstream)
- 2.8.3 (kernel 2.6.0 not supported, but necessary for 2.6.1+)
- Patch3 for removing subclient (Andrey Borzenkov).

* Thu Jan  8 2004 Blindauer Emmanuel <manu@agat.net> 2.8.2-3mdk
- re-added kversion: 2.4.23 kernel is needed. It won't build on 9.2.

* Tue Dec 30 2003 Blindauer Emmanuel <manu (at) agat.net> 2.8.2-2mdk
- finished the 1mdk correctly: lib_major=3
- removed kversion to compile on 2.4 or 2.6
- cleanup off my garbage in spec.

* Fri Dec 26 2003 Blindauer Emmanuel <manu (at) agat.net> 2.8.2-1mdk
- 2.8.2 for 2.6 kernel.
- removed old patchs and rediff to get once.

* Fri Aug 29 2003 Juan Quintela <quintela@mandrakesoft.com> 2.8.0-4mdk
- /usr/include/sensors belong to package.

* Fri Aug 15 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.8.0-3mdk
- Grpmf, missed Requires when merging

* Fri Aug 15 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.8.0-2mdk
- BuildRequires: librrdtool-devel

* Thu Aug 14 2003 Juan Quintela <quintela@mandrakesoft.com> 2.8.0-1mdk
- include <linux/sensors.h>.
- lib_major is 2 now.
- 2.8.0.

* Sun Jul 06 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.7.0-3mdk
- fix typo in init script giving error on shutdown
- minor cosmetics
- use %%mklibname macro

* Fri Mar 14 2003 Juan Quintela <quintela@bi.mandrakesoft.com> 2.7.0-2mdk
- fix a type in init file (Danny Tholen).
- Do no load if there isn't a config file.

* Wed Dec 11 2002 Juan Quintela <quintela@mandrakesoft.com> 2.7.0-1mdk
- 
- 2.7.0.

* Tue Dec  3 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.6.5-2mdk
- bypass files that aren't built on PPC

* Tue Dec  3 2002 Juan Quintela <quintela@mandrakesoft.com> 2.6.5-1mdk
- PreReq rpm-helper.
- liblm_sensors1-devel provides liblm_sensors.
- 2.6.5.

* Mon Dec  2 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.6.4-6mdk
- rework PPC patch (patch2)

* Thu Nov 28 2002 Juan Quintela <quintela@mandrakesoft.com> 2.6.4-5mdk
- sensor script should load all the modules now.

* Thu Aug 22 2002 Juan Quintela <quintela@mandrakesoft.com> 2.6.4-4mdk
- update sensors script.

* Wed Aug 14 2002 Juan Quintela <quintela@mandrakesoft.com> 2.6.4-3mdk
- fix Provides mess.

* Fri Aug  9 2002 Juan Quintela <quintela@mandrakesoft.com> 2.6.4-2mdk
- really fix the Requires to be librddtool0.

* Fri Aug  9 2002 Juan Quintela <quintela@mandrakesoft.com> 2.6.4-1mdk
- adde BuildRequires & Requires of librrdtool0.
- use /usr/src/linux  instead of /usr/src/linux-%kversion.
- use P2 unconditionally.
- remove P1 (fix_build_sensord).
- rediff P0 (fix_install).
- 2.6.4.

* Tue May  7 2002 Juan Quintela <quintela@mandrakesoft.com> 2.6.3-1mdk
- 2.6.3.

* Sat Jan 26 2002 Juan Quintela <quintela@mandrakesoft.com> 2.6.2-4mdk
- add Requires: perl, it is needed for sensors-detect.

* Sat Jan 19 2002 David BAUDENS <baudens@mandrakesoft.com> 2.6.2-3mdk
- Re-upload to replace broken SRPM

* Sat Jan 19 2002 David BAUDENS <baudens@mandrakesoft.com> 2.6.2-2mdk
- Fix Group: for devel package
- Move static library in static-devel package
- Fix Description for devel package
- Requires: %%name = %version-%%release and not only %%versoin

* Fri Nov 23 2001 Juan Quintela <quintela@mandrakesoft.com> 2.6.2-1mdk
- 2.6.2

* Sat Oct 27 2001 Stew Benedict <sbenedict@mandrakesoft.com> 2.6.1-3mdk
- quiet %setup, patches to build isadump on PPC

* Fri Oct 19 2001 Stefan van der Eijk <stefan@eijk.nu> 2.6.1-2mdk
- BuildRequires: bsion, flex, kernel-source 2.4.10 --> 2.4.12

* Mon Oct  8 2001 Juan Quintela <quintela@mandrakesoft.com> 2.6.1-1mdk
- Splitup from the kernel spec file.
